/**
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.deephacks.tools4j.config.test.schema;

import java.util.ArrayList;
import java.util.List;

import org.deephacks.tools4j.config.spi.SchemaManager;
import org.deephacks.tools4j.config.test.FeatureTestsBuilder;

/**
 * Creates a JUnit test suite that test a schema manager implementation.
 */
public class SchemaManagerTestsBuilder extends FeatureTestsBuilder {

    public static SchemaManagerTestsBuilder named(String name) {
        SchemaManagerTestsBuilder builder = new SchemaManagerTestsBuilder();
        builder.name = name;
        return builder;
    }

    public SchemaManagerTestsBuilder using(SchemaManager manager) {
        using(SchemaManager.class, manager);
        return this;
    }

    @Override
    protected List<Class<?>> getTests() {
        List<Class<?>> tests = new ArrayList<Class<?>>();
        tests.add(SchemaManagerTests.class);
        return tests;
    }

}
